3

I'm trying to Build the project downloaded from:

https://github.com/dd4t/DD4T.TridionTemplates

But, When I try it I get the errors:

Error   18  Unable to find version '1.0.3' of package 'sdl-tridion-templating-2011-sp1'.    DD4T.Templates
Error   19  Unable to find version '1.0.1' of package 'sdl-tridion-templating-2013-sp1'.    DD4T.Templates

It seems a problem with dependencies.

I try to find it in nugget but I can't.

How can I resolve this issue?

  • 1
    at a guess, these are the tridion libraries, which they are not allowed to distribute. you may have to get them from a Tridion server (well, 2 in this case) – Nuno Linhares Nov 1 '15 at 22:08
  • I think DD4T has a private nuget feed as part of the build. You could create those packages and add them to a local filesystem based nuget feed – Rob Stevenson-Leggett Nov 2 '15 at 11:48
  • Do you have all of the DLLs relevant to your project added to your library? code.google.com/p/dynamic-delivery-4-tridion/downloads/… – Shiva Nov 2 '15 at 14:10
2

As Nuno mentioned Tridion libraries are not allowed to be distributed.

In the root of the DD4T.Tridion Templates repository there is a "dependencies" directory within that for each Tridion version a sub directory. Copy The Tridion libraries into the correct directory and rebuild the solution. find here the list of Tridion dependencies

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.